/* ==========================================================
   SECCIÓN TEMAS — Imagen arriba, texto debajo
========================================================== */
.temas {
  background: transparent;
  color: var(--text-color);
  text-align: center;
  padding: 30px;
}



/* ----- Contenedor general ----- */
.temas-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 2.0rem;
  max-width: 1100px;
  margin: 0 auto;
}

/* ----- Cada bloque de tema ----- */
.tema {
  flex: 1 1 300px;
  max-width: 320px;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.tema:hover {
  transform: translateY(-5px);
}

.tema a {
    text-decoration: none;
}
/* ----- Imagen ----- */
.tema-img {
  width: 230px;
  height: 250px;
  object-fit: cover ;
  /*border-radius: 8px;*/
  box-shadow: var(--shadow-soft);
  margin-bottom: 0rem;
  transition: filter 0.3s ease, box-shadow 0.3s ease;
}

.tema-img:hover {
  filter: brightness(1.05) saturate(1.1);
  box-shadow: 0 2px 10px var(--color-principal-hover);
}

/* ----- Título y subtítulo ----- */
.tema-titulo {
  color: var(--color-principal);
  font-size: 1.2rem;
  font-family: var(--fuente-inter);
  font-weight: 600;
  letter-spacing: 0.5px;
  margin-bottom: 0rem;
  margin-top: 0.3rem;
  text-transform: capitalize;
}

.tema-subtitulo {
  
  font-family: var(--fuente-inter);
  color: var(--color-principal);
  opacity: 0.7;
  letter-spacing: 1.6px;
   font-size: 0.95rem;
  line-height: 1.7;

  margin-top: 0.4rem;
}

/* ------------------------------
   Responsivo
------------------------------ */
@media (max-width: 992px) {
  .tema {
    flex: 1 1 45%;
  }
  .tema-img {
    height: 200px;
  }
}

@media (max-width: 600px) {
  .tema {
    flex: 1 1 100%;
  }
  .tema-img {
    height: 180px;
  }
}
